--добавление поля Примечания, чтобы врач вносил какие-нибудь изменения в назначении, не трогая Signa
ALTER TABLE AKUZ.T_HOSPITAL_DESTINATION ADD "note" varchar(500) NULL;

-- изменение Signa с varchar(max) на varchar(1000) в t_hospital_destination
ALTER TABLE AKUZ.T_HOSPITAL_DESTINATION ALTER COLUMN "signa" SET DATA TYPE varchar(1000);
UPDATE AKUZ.T_HOSPITAL_DESTINATION SET "signa" = '' WHERE "signa" IS NULL;
ALTER TABLE AKUZ.T_HOSPITAL_DESTINATION ALTER COLUMN "signa" SET NOT NULL;

-- изменение Signa с varchar(max) на varchar(1000) и Recipe с varchar(max) на varchar(4000) в t_hospital_destination_dictionary
ALTER TABLE AKUZ.T_HOSPITAL_DESTINATION_DICTIONARY ALTER COLUMN "recipe" SET DATA TYPE varchar(4000);
UPDATE AKUZ.T_HOSPITAL_DESTINATION_DICTIONARY SET "recipe" = '' WHERE "recipe" IS NULL;
ALTER TABLE AKUZ.T_HOSPITAL_DESTINATION_DICTIONARY ALTER COLUMN "recipe" SET NOT NULL;

ALTER TABLE AKUZ.T_HOSPITAL_DESTINATION_DICTIONARY ALTER COLUMN "signa" SET DATA TYPE varchar(1000);
UPDATE AKUZ.T_HOSPITAL_DESTINATION_DICTIONARY SET "signa" = '' WHERE "signa" IS NULL;
ALTER TABLE AKUZ.T_HOSPITAL_DESTINATION_DICTIONARY ALTER COLUMN "signa" SET NOT NULL;